diff -Nurd kdebase-3.5.10/kicker/proxy/Makefile.am kdebase-3.5.10-new/kicker/proxy/Makefile.am
--- kdebase-3.5.10/kicker/proxy/Makefile.am	2006-10-01 10:31:51.000000000 -0700
+++ kdebase-3.5.10-new/kicker/proxy/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -7,16 +7,16 @@
 
 METASOURCES = AUTO
 
-appletproxy_la_LIBADD = $(LIB_KDEUI) ../libkicker/libkickermain.la
+appletproxy_la_LIBADD = $(LIB_KDEUI) ../libkicker/libkickermain.la -lDCOP
 appletproxy_la_SOURCES = appletproxy.cpp
 appletproxy_la_LDFLAGS = $(all_libraries) $(KDE_RPATH) -module -avoid-version
 
-extensionproxy_la_LIBADD = $(LIB_KDEUI) ../libkicker/libkickermain.la
+extensionproxy_la_LIBADD = $(LIB_KDEUI) ../libkicker/libkickermain.la -lDCOP
 extensionproxy_la_SOURCES = extensionproxy.cpp
 extensionproxy_la_LDFLAGS = $(all_libraries) $(KDE_RPATH) -module -avoid-version
 
 extensiondebugger_SOURCES = extensiondebugger.cpp
-extensiondebugger_LDADD = ../libkicker/libkickermain.la
+extensiondebugger_LDADD = ../libkicker/libkickermain.la -lDCOP
 extensiondebugger_LDFLAGS = $(all_libraries) $(KDE_RPATH)
 
 messages:
diff -Nurd kdebase-3.5.10/kicker/taskbar/Makefile.am kdebase-3.5.10-new/kicker/taskbar/Makefile.am
--- kdebase-3.5.10/kicker/taskbar/Makefile.am	2005-09-10 01:25:29.000000000 -0700
+++ kdebase-3.5.10-new/kicker/taskbar/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -9,7 +9,7 @@
 libtaskbar_la_METASOURCES = AUTO
 
 libtaskbar_la_LDFLAGS = -version-info 3:0:2 $(all_libraries) -no-undefined
-libtaskbar_la_LIBADD = $(LIB_KDEUI) $(LIB_KUTILS) ../libkicker/libkickermain.la ../taskmanager/libtaskmanager.la
+libtaskbar_la_LIBADD = $(LIB_KDEUI) $(LIB_KUTILS) ../libkicker/libkickermain.la ../taskmanager/libtaskmanager.la -lDCOP -lkdefx
 
 messages: rc.cpp
 	$(XGETTEXT) *.cpp *.h -o $(podir)/libtaskbar.pot
diff -Nurd kdebase-3.5.10/kioslave/about/Makefile.am kdebase-3.5.10-new/kioslave/about/Makefile.am
--- kdebase-3.5.10/kioslave/about/Makefile.am	2006-03-17 02:17:35.000000000 -0800
+++ kdebase-3.5.10-new/kioslave/about/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -8,7 +8,7 @@
 kde_module_LTLIBRARIES = kio_about.la
 
 kio_about_la_SOURCES = kio_about.cpp
-kio_about_la_LIBADD = $(LIB_KSYCOCA)
+kio_about_la_LIBADD = $(LIB_QT) $(LIB_KDECORE) $(LIB_KSYCOCA)
 kio_about_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN)
 noinst_HEADERS = kio_about.h
 
diff -Nurd kdebase-3.5.10/kioslave/cgi/Makefile.am kdebase-3.5.10-new/kioslave/cgi/Makefile.am
--- kdebase-3.5.10/kioslave/cgi/Makefile.am	2005-09-10 01:25:37.000000000 -0700
+++ kdebase-3.5.10-new/kioslave/cgi/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -5,7 +5,7 @@
 kde_module_LTLIBRARIES = kio_cgi.la
 
 kio_cgi_la_SOURCES = cgi.cpp
-kio_cgi_la_LIBADD = $(LIB_KIO)
+kio_cgi_la_LIBADD = $(LIB_QT) $(LIB_KDECORE) $(LIB_KIO)
 kio_cgi_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN)
 
 noinst_HEADERS = cgi.h
diff -Nurd kdebase-3.5.10/kioslave/cgi/kcmcgi/Makefile.am kdebase-3.5.10-new/kioslave/cgi/kcmcgi/Makefile.am
--- kdebase-3.5.10/kioslave/cgi/kcmcgi/Makefile.am	2005-09-10 01:25:37.000000000 -0700
+++ kdebase-3.5.10-new/kioslave/cgi/kcmcgi/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -3,7 +3,7 @@
 
 kcm_cgi_la_SOURCES = kcmcgi.cpp
 kcm_cgi_la_LDFLAGS  = $(all_libraries) -module -avoid-version -no-undefined
-kcm_cgi_la_LIBADD = -lkdeui $(LIB_KIO)
+kcm_cgi_la_LIBADD = -lkdeui $(LIB_KIO) $(LIB_QT) $(LIB_KDECORE)
 
 INCLUDES= $(all_includes) 
 
diff -Nurd kdebase-3.5.10/kioslave/filter/Makefile.am kdebase-3.5.10-new/kioslave/filter/Makefile.am
--- kdebase-3.5.10/kioslave/filter/Makefile.am	2005-09-10 01:25:37.000000000 -0700
+++ kdebase-3.5.10-new/kioslave/filter/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -5,7 +5,7 @@
 kde_module_LTLIBRARIES = kio_filter.la
 
 kio_filter_la_SOURCES = filter.cc
-kio_filter_la_LIBADD = $(LIB_KSYCOCA)
+kio_filter_la_LIBADD = $(LIB_KSYCOCA) $(LIB_QT) $(LIB_KDECORE)
 kio_filter_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN)
 noinst_HEADERS = filter.h
 
diff -Nurd kdebase-3.5.10/kioslave/finger/Makefile.am kdebase-3.5.10-new/kioslave/finger/Makefile.am
--- kdebase-3.5.10/kioslave/finger/Makefile.am	2005-09-10 01:25:38.000000000 -0700
+++ kdebase-3.5.10-new/kioslave/finger/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -9,7 +9,7 @@
 kde_module_LTLIBRARIES = kio_finger.la
 
 kio_finger_la_SOURCES = kio_finger.cpp 
-kio_finger_la_LIBADD = -lkio
+kio_finger_la_LIBADD = $(LIB_KIO) $(LIB_QT) $(LIB_KDECORE)
 kio_finger_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN)
 
 noinst_HEADERS = kio_finger.h 
diff -Nurd kdebase-3.5.10/kioslave/fish/Makefile.am kdebase-3.5.10-new/kioslave/fish/Makefile.am
--- kdebase-3.5.10/kioslave/fish/Makefile.am	2005-09-10 01:25:37.000000000 -0700
+++ kdebase-3.5.10-new/kioslave/fish/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -4,7 +4,7 @@
 AM_LDFLAGS = $(all_libraries) $(KDE_RPATH)
 
 kio_fish_la_SOURCES = fish.cpp
-kio_fish_la_LIBADD = $(LIB_KSYCOCA) #$(LIBUTIL) 
+kio_fish_la_LIBADD = $(LIB_KSYCOCA) $(LIB_QT) $(LIB_KDECORE)
 kio_fish_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN)
 noinst_HEADERS = fishcode.h fish.h
 
diff -Nurd kdebase-3.5.10/kioslave/floppy/Makefile.am kdebase-3.5.10-new/kioslave/floppy/Makefile.am
--- kdebase-3.5.10/kioslave/floppy/Makefile.am	2008-08-19 11:17:02.000000000 -0700
+++ kdebase-3.5.10-new/kioslave/floppy/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -8,7 +8,7 @@
 kde_module_LTLIBRARIES = kio_floppy.la
 
 kio_floppy_la_SOURCES = kio_floppy.cpp program.cpp
-kio_floppy_la_LIBADD = $(LIB_KIO)
+kio_floppy_la_LIBADD = $(LIB_KIO) $(LIB_QT) $(LIB_KDECORE)
 kio_floppy_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN)
 
 kdelnk_DATA = floppy.protocol
diff -Nurd kdebase-3.5.10/kioslave/home/Makefile.am kdebase-3.5.10-new/kioslave/home/Makefile.am
--- kdebase-3.5.10/kioslave/home/Makefile.am	2005-09-10 01:25:37.000000000 -0700
+++ kdebase-3.5.10-new/kioslave/home/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -7,7 +7,7 @@
 kde_module_LTLIBRARIES = kio_home.la
 
 kio_home_la_SOURCES = dummy.cpp
-kio_home_la_LIBADD  = libkiohome.la $(LIB_KIO)
+kio_home_la_LIBADD  = libkiohome.la $(LIB_KIO) $(LIB_QT) $(LIB_KDECORE) -lDCOP
 kio_home_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN) -no-undefined
 
 dummy.cpp:
@@ -20,7 +20,7 @@
 
 check_PROGRAMS = testhome
 testhome_SOURCES = testhome.cpp
-testhome_LDADD = libkiohome.la $(LIB_KIO)
+testhome_LDADD = libkiohome.la $(LIB_KIO) $(LIB_QT) $(LIB_KDECORE)
 testhome_LDFLAGS = $(all_libraries)
 
 ## TODO in unsermake: TESTS = testhome
diff -Nurd kdebase-3.5.10/kioslave/info/Makefile.am kdebase-3.5.10-new/kioslave/info/Makefile.am
--- kdebase-3.5.10/kioslave/info/Makefile.am	2005-09-10 01:25:37.000000000 -0700
+++ kdebase-3.5.10-new/kioslave/info/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -9,7 +9,7 @@
 kde_module_LTLIBRARIES = kio_info.la
 
 kio_info_la_SOURCES = info.cc
-kio_info_la_LIBADD = $(LIB_KIO)
+kio_info_la_LIBADD = $(LIB_KIO) $(LIB_QT) $(LIB_KDECORE)
 kio_info_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN)
 noinst_HEADERS = info.h
 
diff -Nurd kdebase-3.5.10/kioslave/info/kde-info2html.conf kdebase-3.5.10-new/kioslave/info/kde-info2html.conf
--- kdebase-3.5.10/kioslave/info/kde-info2html.conf	2005-09-10 01:25:37.000000000 -0700
+++ kdebase-3.5.10-new/kioslave/info/kde-info2html.conf	2010-05-13 05:26:41.000000000 -0700
@@ -25,6 +25,7 @@
 
 #-- location of info files.
 our @INFODIR = (
+	    "@FINKPREFIX@/share/info",
 	    "/usr/share/info",
 	    "/usr/info",
 	    "/usr/lib/info",
diff -Nurd kdebase-3.5.10/kioslave/ldap/Makefile.am kdebase-3.5.10-new/kioslave/ldap/Makefile.am
--- kdebase-3.5.10/kioslave/ldap/Makefile.am	2005-09-10 01:25:36.000000000 -0700
+++ kdebase-3.5.10-new/kioslave/ldap/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -10,7 +10,7 @@
 kde_module_LTLIBRARIES = kio_ldap.la
 
 kio_ldap_la_SOURCES = kio_ldap.cpp
-kio_ldap_la_LIBADD = $(LIB_KIO) $(LDAP_LIBS) $(LIB_KABC)
+kio_ldap_la_LIBADD = $(LIB_KIO) $(LDAP_LIBS) $(LIB_KABC) $(LIB_QT) $(LIB_KDECORE)
 kio_ldap_la_LDFLAGS = $(all_libraries) $(KDE_RPATH) $(LDAP_RPATH) -module $(KDE_PLUGIN)
 
 noinst_HEADERS = kio_ldap.h
diff -Nurd kdebase-3.5.10/kioslave/ldap/configure.in.in kdebase-3.5.10-new/kioslave/ldap/configure.in.in
--- kdebase-3.5.10/kioslave/ldap/configure.in.in	2005-10-10 08:04:01.000000000 -0700
+++ kdebase-3.5.10-new/kioslave/ldap/configure.in.in	2010-05-13 05:26:41.000000000 -0700
@@ -38,10 +38,11 @@
 case "$with_ldap" in
 no) AC_MSG_RESULT(no) ;;
 framework)
-  LDAP_LIBS="-Xlinker -framework -Xlinker LDAP"
+  LDAP_LIBS="-Wl,-framework,LDAP"
   AC_DEFINE_UNQUOTED(HAVE_LIBLDAP, 1, [Define if you have LDAP libraries])
   LDAP_SUBDIR="ldap"
   AC_MSG_RESULT(Apple framework)
+  with_ldap=FOUND
   ;;
 FOUND)
   AC_MSG_RESULT(incs=$ldap_incdir libs=$ldap_libdir)
diff -Nurd kdebase-3.5.10/kioslave/mac/Makefile.am kdebase-3.5.10-new/kioslave/mac/Makefile.am
--- kdebase-3.5.10/kioslave/mac/Makefile.am	2005-09-10 01:25:37.000000000 -0700
+++ kdebase-3.5.10-new/kioslave/mac/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -8,7 +8,7 @@
 kde_module_LTLIBRARIES = kio_mac.la
 
 kio_mac_la_SOURCES = kio_mac.cpp
-kio_mac_la_LIBADD = -lkio
+kio_mac_la_LIBADD = $(LIB_KIO) $(LIB_QT) $(LIB_KDECORE)
 kio_mac_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN)
 
 noinst_HEADERS = kio_mac.h
diff -Nurd kdebase-3.5.10/kioslave/man/Makefile.am kdebase-3.5.10-new/kioslave/man/Makefile.am
--- kdebase-3.5.10/kioslave/man/Makefile.am	2006-03-17 02:17:36.000000000 -0800
+++ kdebase-3.5.10-new/kioslave/man/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -16,13 +16,13 @@
 kde_module_LTLIBRARIES = kio_man.la  libkmanpart.la
 
 kio_man_la_SOURCES = man2html.cpp kio_man.cpp
-kio_man_la_LIBADD = $(LIB_KSYCOCA)
+kio_man_la_LIBADD = $(LIB_KSYCOCA) $(LIB_QT) $(LIB_KDECORE)
 kio_man_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN)
 noinst_HEADERS = kio_man.h
 ### TODO Why is man2htmk.h distributed?
 
 libkmanpart_la_SOURCES = kmanpart.cpp
-libkmanpart_la_LIBADD = -lkhtml $(LIB_KPARTS)
+libkmanpart_la_LIBADD = -lkhtml $(LIB_KPARTS) $(LIB_QT) $(LIB_KDECORE) $(LIB_KDEUI) $(LIB_KIO)
 libkmanpart_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN)
 
 kdelnk_DATA = man.protocol kmanpart.desktop
diff -Nurd kdebase-3.5.10/kioslave/man/kio_man.cpp kdebase-3.5.10-new/kioslave/man/kio_man.cpp
--- kdebase-3.5.10/kioslave/man/kio_man.cpp	2007-10-08 02:51:22.000000000 -0700
+++ kdebase-3.5.10-new/kioslave/man/kio_man.cpp	2010-05-13 05:26:41.000000000 -0700
@@ -50,7 +50,7 @@
 
 MANProtocol *MANProtocol::_self = 0;
 
-#define SGML2ROFF_DIRS "/usr/lib/sgml"
+#define SGML2ROFF_DIRS "@FINKPREFIX@/share/sgml"
 
 /*
  * Drop trailing ".section[.gz]" from name
@@ -895,6 +895,7 @@
 
     // Default paths
     static const char *manpaths[] = {
+        "@FINKPREFIX@/share/man",
         "/usr/X11/man",
         "/usr/X11R6/man",
         "/usr/man",
diff -Nurd kdebase-3.5.10/kioslave/media/Makefile.am kdebase-3.5.10-new/kioslave/media/Makefile.am
--- kdebase-3.5.10/kioslave/media/Makefile.am	2006-07-22 01:15:45.000000000 -0700
+++ kdebase-3.5.10-new/kioslave/media/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -11,7 +11,7 @@
 kde_module_LTLIBRARIES = kio_media.la
 
 kio_media_la_SOURCES = dummy.cpp
-kio_media_la_LIBADD  = libkiomedia.la libmediacommon/libmediacommon.la $(LIB_KIO)
+kio_media_la_LIBADD  = libkiomedia.la libmediacommon/libmediacommon.la $(LIB_KIO) $(LIB_QT) $(LIB_KDECORE) -lDCOP
 kio_media_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN) -no-undefined
 
 dummy.cpp:
@@ -24,7 +24,7 @@
 
 check_PROGRAMS = testmedia
 testmedia_SOURCES = testmedia.cpp
-testmedia_LDADD = libkiomedia.la $(LIB_KIO)
+testmedia_LDADD = libkiomedia.la $(LIB_KIO) $(LIB_QT) $(LIB_KDECORE)
 testmedia_LDFLAGS = $(all_libraries)
 
 ## TODO in unsermake: TESTS = testmedia
diff -Nurd kdebase-3.5.10/kioslave/media/configure.in.in kdebase-3.5.10-new/kioslave/media/configure.in.in
--- kdebase-3.5.10/kioslave/media/configure.in.in	2007-05-14 00:55:41.000000000 -0700
+++ kdebase-3.5.10-new/kioslave/media/configure.in.in	2010-05-13 05:26:41.000000000 -0700
@@ -182,3 +182,5 @@
 
 AC_CHECK_FUNCS(statvfs)
 
+AC_CHECK_FUNCS(statvfs)
+
diff -Nurd kdebase-3.5.10/kioslave/media/kcmodule/Makefile.am kdebase-3.5.10-new/kioslave/media/kcmodule/Makefile.am
--- kdebase-3.5.10/kioslave/media/kcmodule/Makefile.am	2005-09-10 01:25:36.000000000 -0700
+++ kdebase-3.5.10-new/kioslave/media/kcmodule/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -9,7 +9,7 @@
                        main.cpp
 
 kcm_media_la_LDFLAGS = -module $(KDE_PLUGIN) $(all_libraries)
-kcm_media_la_LIBADD = ../libmediacommon/libmediacommon.la $(LIB_KIO)
+kcm_media_la_LIBADD = ../libmediacommon/libmediacommon.la $(LIB_KIO) $(LIB_KDECORE) $(LIB_QT) $(LIB_KDEUI) -lDCOP
 
 noinst_HEADERS = notifiermodule.h managermodule.h \
                  serviceconfigdialog.h mimetypelistboxitem.h \
diff -Nurd kdebase-3.5.10/kioslave/media/kfile-plugin/Makefile.am kdebase-3.5.10-new/kioslave/media/kfile-plugin/Makefile.am
--- kdebase-3.5.10/kioslave/media/kfile-plugin/Makefile.am	2005-09-10 01:25:36.000000000 -0700
+++ kdebase-3.5.10-new/kioslave/media/kfile-plugin/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -2,7 +2,7 @@
 
 kfile_media_la_SOURCES = kfilemediaplugin.cpp
 kfile_media_la_LDFLAGS = $(all_libraries) $(KDE_RPATH) -module $(KDE_PLUGIN)
-kfile_media_la_LIBADD = $(LIB_KIO) ../libmediacommon/libmediacommon.la
+kfile_media_la_LIBADD = $(LIB_KIO) ../libmediacommon/libmediacommon.la $(LIB_QT) $(LIB_KDECORE) -lDCOP
 
 kdelnkdir = $(kde_servicesdir)
 kde_services_DATA = kfile_media.desktop
diff -Nurd kdebase-3.5.10/kioslave/media/mounthelper/Makefile.am kdebase-3.5.10-new/kioslave/media/mounthelper/Makefile.am
--- kdebase-3.5.10/kioslave/media/mounthelper/Makefile.am	2006-07-22 01:15:42.000000000 -0700
+++ kdebase-3.5.10-new/kioslave/media/mounthelper/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -1,12 +1,14 @@
-bin_PROGRAMS = kio_media_mounthelper
+bin_PROGRAMS =
+lib_LTLIBRARIES =
+kdeinit_LTLIBRARIES = kio_media_mounthelper.la
 
 INCLUDES = -I$(srcdir)/../libmediacommon $(all_includes)
 AM_LDFLAGS = $(all_libraries)
 
-kio_media_mounthelper_SOURCES = kio_media_mounthelper.cpp
+kio_media_mounthelper_la_SOURCES = kio_media_mounthelper.cpp
 
-kio_media_mounthelper_LDFLAGS = $(KDE_RPATH) $(all_libraries)
-kio_media_mounthelper_LDADD = ../libmediacommon/libmediacommon.la $(LIB_KIO)
+kio_media_mounthelper_la_LDFLAGS = $(KDE_RPATH) $(all_libraries) $(KDE_PLUGIN) -module
+kio_media_mounthelper_la_LIBADD = ../libmediacommon/libmediacommon.la $(LIB_KIO) $(LIB_QT) $(LIB_KDECORE) -lDCOP $(LIB_KDEUI)
 
 METASOURCES = AUTO
 
diff -Nurd kdebase-3.5.10/kioslave/media/mounthelper/kio_media_mounthelper.cpp kdebase-3.5.10-new/kioslave/media/mounthelper/kio_media_mounthelper.cpp
--- kdebase-3.5.10/kioslave/media/mounthelper/kio_media_mounthelper.cpp	2007-05-14 00:55:40.000000000 -0700
+++ kdebase-3.5.10-new/kioslave/media/mounthelper/kio_media_mounthelper.cpp	2010-05-13 05:26:41.000000000 -0700
@@ -188,7 +188,7 @@
 };
 
 
-int main(int argc, char **argv)
+extern "C" KDE_EXPORT int kdemain(int argc, char **argv)
 {
 	KCmdLineArgs::init(argc, argv, "kio_media_mounthelper",
 	                   "kio_media_mounthelper", "kio_media_mounthelper",
diff -Nurd kdebase-3.5.10/kioslave/nfs/Makefile.am kdebase-3.5.10-new/kioslave/nfs/Makefile.am
--- kdebase-3.5.10/kioslave/nfs/Makefile.am	2005-09-10 01:25:37.000000000 -0700
+++ kdebase-3.5.10-new/kioslave/nfs/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -8,7 +8,7 @@
 kde_module_LTLIBRARIES = kio_nfs.la
 
 kio_nfs_la_SOURCES = kio_nfs.cpp mount_xdr.c nfs_prot_xdr.c
-kio_nfs_la_LIBADD = -lkio $(LIBRPC)
+kio_nfs_la_LIBADD = $(LIB_KIO) $(LIBRPC) $(LIB_QT) $(LIB_KDECORE)
 kio_nfs_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN)
 noinst_HEADERS = nfs_prot.h mount.h
 
diff -Nurd kdebase-3.5.10/kioslave/nfs/mount_xdr.c kdebase-3.5.10-new/kioslave/nfs/mount_xdr.c
--- kdebase-3.5.10/kioslave/nfs/mount_xdr.c	2005-09-10 01:25:37.000000000 -0700
+++ kdebase-3.5.10-new/kioslave/nfs/mount_xdr.c	2010-05-13 05:26:41.000000000 -0700
@@ -43,6 +43,13 @@
 
 /* from @(#)mount.x	1.3 91/03/11 TIRPC 1.0 */
 
+#if defined(__APPLE__) && !defined(IXDR_GET_INT32)
+#define IXDR_GET_INT32(buf)             ((int32_t)ntohl((u_int32_t)*(buf)++))
+#define IXDR_PUT_INT32(buf, v)          (*(buf)++ =(int32_t)htonl((u_int32_t)v))
+#define IXDR_GET_U_INT32(buf)           ((u_int32_t)IXDR_GET_INT32(buf))
+#define IXDR_PUT_U_INT32(buf, v)        IXDR_PUT_INT32((buf), ((int32_t)(v)))
+#endif
+
 bool_t
 xdr_fhandle(XDR *xdrs, fhandle objp)
 {
diff -Nurd kdebase-3.5.10/kioslave/nntp/Makefile.am kdebase-3.5.10-new/kioslave/nntp/Makefile.am
--- kdebase-3.5.10/kioslave/nntp/Makefile.am	2005-09-10 01:25:36.000000000 -0700
+++ kdebase-3.5.10-new/kioslave/nntp/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -5,7 +5,7 @@
 kde_module_LTLIBRARIES = kio_nntp.la
 
 kio_nntp_la_SOURCES = nntp.cpp
-kio_nntp_la_LIBADD  = $(LIB_KIO)
+kio_nntp_la_LIBADD  = $(LIB_KIO) $(LIB_QT) $(LIB_KDECORE)
 kio_nntp_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN)
 
 METASOURCES = AUTO
diff -Nurd kdebase-3.5.10/kioslave/pop3/Makefile.am kdebase-3.5.10-new/kioslave/pop3/Makefile.am
--- kdebase-3.5.10/kioslave/pop3/Makefile.am	2005-09-10 01:25:36.000000000 -0700
+++ kdebase-3.5.10-new/kioslave/pop3/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -5,7 +5,7 @@
 kde_module_LTLIBRARIES = kio_pop3.la
 
 kio_pop3_la_SOURCES = pop3.cc
-kio_pop3_la_LIBADD  = $(LIB_KIO) $(SASL2_LIBS)
+kio_pop3_la_LIBADD  = $(LIB_KIO) $(SASL2_LIBS) $(LIB_QT) $(LIB_KDECORE)
 kio_pop3_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN)
 
 noinst_HEADERS = pop3.h
diff -Nurd kdebase-3.5.10/kioslave/remote/Makefile.am kdebase-3.5.10-new/kioslave/remote/Makefile.am
--- kdebase-3.5.10/kioslave/remote/Makefile.am	2005-09-10 01:25:37.000000000 -0700
+++ kdebase-3.5.10-new/kioslave/remote/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -7,7 +7,7 @@
 kde_module_LTLIBRARIES = kio_remote.la
 
 kio_remote_la_SOURCES = dummy.cpp
-kio_remote_la_LIBADD  = libkioremote.la $(LIB_KIO)
+kio_remote_la_LIBADD  = libkioremote.la $(LIB_KIO) $(LIB_QT) $(LIB_KDECORE) -lDCOP
 kio_remote_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN) -no-undefined
 
 dummy.cpp:
@@ -20,7 +20,7 @@
 
 check_PROGRAMS = testremote
 testremote_SOURCES = testremote.cpp
-testremote_LDADD = libkioremote.la $(LIB_KIO)
+testremote_LDADD = libkioremote.la $(LIB_KIO) $(LIB_QT) $(LIB_KDECORE)
 testremote_LDFLAGS = $(all_libraries)
 
 ## TODO in unsermake: TESTS = testremote
diff -Nurd kdebase-3.5.10/kioslave/settings/Makefile.am kdebase-3.5.10-new/kioslave/settings/Makefile.am
--- kdebase-3.5.10/kioslave/settings/Makefile.am	2005-09-10 01:25:37.000000000 -0700
+++ kdebase-3.5.10-new/kioslave/settings/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -5,7 +5,7 @@
 kde_module_LTLIBRARIES = kio_settings.la
 
 kio_settings_la_SOURCES = kio_settings.cc
-kio_settings_la_LIBADD  = $(LIB_KSYCOCA)
+kio_settings_la_LIBADD  = $(LIB_KSYCOCA) $(LIB_QT) $(LIB_KDECORE) -lDCOP
 kio_settings_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN)
 
 noinst_HEADERS = kio_settings.h
diff -Nurd kdebase-3.5.10/kioslave/sftp/Makefile.am kdebase-3.5.10-new/kioslave/sftp/Makefile.am
--- kdebase-3.5.10/kioslave/sftp/Makefile.am	2005-09-10 01:25:38.000000000 -0700
+++ kdebase-3.5.10-new/kioslave/sftp/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -14,7 +14,7 @@
 kde_module_LTLIBRARIES = kio_sftp.la
 
 kio_sftp_la_SOURCES = process.cpp atomicio.cpp kio_sftp.cpp sftpfileattr.cpp ksshprocess.cpp
-kio_sftp_la_LIBADD = $(LIB_KIO)
+kio_sftp_la_LIBADD = $(LIB_KIO) $(LIB_QT) $(LIB_KDECORE) -lkdesu
 kio_sftp_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN)
 noinst_HEADERS = atomicio.h kio_sftp.h ksshprocess.h process.h sftpfileattr.h sftp.h
 
diff -Nurd kdebase-3.5.10/kioslave/smb/Makefile.am kdebase-3.5.10-new/kioslave/smb/Makefile.am
--- kdebase-3.5.10/kioslave/smb/Makefile.am	2008-08-19 11:17:00.000000000 -0700
+++ kdebase-3.5.10-new/kioslave/smb/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -12,7 +12,7 @@
              kio_smb_internal.cpp \
 	     kio_smb_mount.cpp
 
-kio_smb_la_LIBADD = -lkio -lsmbclient $(SMBCLIENT_EXTRA_LIBS)
+kio_smb_la_LIBADD = $(LIB_KIO) -lsmbclient $(SMBCLIENT_EXTRA_LIBS) $(LIB_QT) $(LIB_KDECORE)
 
 kio_smb_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN)
 
diff -Nurd kdebase-3.5.10/kioslave/smtp/Makefile.am kdebase-3.5.10-new/kioslave/smtp/Makefile.am
--- kdebase-3.5.10/kioslave/smtp/Makefile.am	2005-09-10 01:25:37.000000000 -0700
+++ kdebase-3.5.10-new/kioslave/smtp/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -4,7 +4,7 @@
 kde_module_LTLIBRARIES = kio_smtp.la
 
 kio_smtp_la_SOURCES = smtp.cc request.cc response.cc capabilities.cc command.cc transactionstate.cc
-kio_smtp_la_LIBADD  = $(LIB_KIO) $(SASL2_LIBS)
+kio_smtp_la_LIBADD  = $(LIB_KIO) $(SASL2_LIBS) $(LIB_QT) $(LIB_KDECORE)
 kio_smtp_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN)
 
 noinst_HEADERS = smtp.h request.h response.h capabilities.h command.h transactionstate.h
diff -Nurd kdebase-3.5.10/kioslave/system/Makefile.am kdebase-3.5.10-new/kioslave/system/Makefile.am
--- kdebase-3.5.10/kioslave/system/Makefile.am	2005-09-10 01:25:37.000000000 -0700
+++ kdebase-3.5.10-new/kioslave/system/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -6,7 +6,7 @@
 kde_module_LTLIBRARIES = kio_system.la
 
 kio_system_la_SOURCES = dummy.cpp
-kio_system_la_LIBADD  = libkiosystem.la $(LIB_KIO)
+kio_system_la_LIBADD  = libkiosystem.la $(LIB_KIO) $(LIB_QT) $(LIB_KDECORE) -lDCOP
 kio_system_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN) -no-undefined
 
 dummy.cpp:
@@ -19,7 +19,7 @@
 
 check_PROGRAMS = testsystem
 testsystem_SOURCES = testsystem.cpp
-testsystem_LDADD = libkiosystem.la $(LIB_KIO)
+testsystem_LDADD = libkiosystem.la $(LIB_KIO) $(LIB_QT) $(LIB_KDECORE)
 testsystem_LDFLAGS = $(all_libraries)
 
 ## TODO in unsermake: TESTS = testsystem
diff -Nurd kdebase-3.5.10/kioslave/tar/Makefile.am kdebase-3.5.10-new/kioslave/tar/Makefile.am
--- kdebase-3.5.10/kioslave/tar/Makefile.am	2005-09-10 01:25:37.000000000 -0700
+++ kdebase-3.5.10-new/kioslave/tar/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -7,13 +7,13 @@
 kde_module_LTLIBRARIES = kio_tar.la
 
 kio_tar_la_SOURCES = tar.cc
-kio_tar_la_LIBADD = $(LIB_KSYCOCA)
+kio_tar_la_LIBADD = $(LIB_KSYCOCA) $(LIB_QT) $(LIB_KDECORE)
 kio_tar_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN)
 
 check_PROGRAMS = ktartest
 
 ktartest_SOURCES = ktartest.cpp
-ktartest_LDADD = $(LIB_KSYCOCA)
+ktartest_LDADD = $(LIB_KSYCOCA) $(LIB_QT) $(LIB_KDECORE)
 
 noinst_HEADERS = tar.h
 
diff -Nurd kdebase-3.5.10/kioslave/thumbnail/Makefile.am kdebase-3.5.10-new/kioslave/thumbnail/Makefile.am
--- kdebase-3.5.10/kioslave/thumbnail/Makefile.am	2006-01-19 09:00:59.000000000 -0800
+++ kdebase-3.5.10-new/kioslave/thumbnail/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -20,31 +20,31 @@
 	$(EXR_MODULE)
 
 kio_thumbnail_la_SOURCES = thumbnail.cpp
-kio_thumbnail_la_LIBADD = $(LIB_KIO)
+kio_thumbnail_la_LIBADD = $(LIB_KIO) $(LIB_QT) $(LIB_KDECORE) -lkdefx
 kio_thumbnail_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN)
 
 imagethumbnail_la_SOURCES = imagecreator.cpp
-imagethumbnail_la_LIBADD = $(LIB_KIO) # for kimageio
+imagethumbnail_la_LIBADD = $(LIB_KIO) $(LIB_QT) $(LIB_KDECORE) # for kimageio
 imagethumbnail_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN)
 
 textthumbnail_la_SOURCES = textcreator.cpp
-textthumbnail_la_LIBADD = $(LIB_KIO) # for kmimetype
+textthumbnail_la_LIBADD = $(LIB_KIO) $(LIB_QT) $(LIB_KDECORE) -lkdefx # for kmimetype
 textthumbnail_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN)
 
 htmlthumbnail_la_SOURCES = htmlcreator.cpp
-htmlthumbnail_la_LIBADD = $(LIB_KHTML)
+htmlthumbnail_la_LIBADD = $(LIB_KHTML) $(LIB_QT) $(LIB_KDECORE)
 htmlthumbnail_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN)
 
 djvuthumbnail_la_SOURCES = djvucreator.cpp
-djvuthumbnail_la_LIBADD = $(LIB_KDECORE)
+djvuthumbnail_la_LIBADD = $(LIB_KDECORE) $(LIB_QT)
 djvuthumbnail_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN)
 
 cursorthumbnail_la_SOURCES = cursorcreator.cpp
-cursorthumbnail_la_LIBADD = $(LIB_KDECORE) $(LIB_XCURSOR)
+cursorthumbnail_la_LIBADD = $(LIB_KDECORE) $(LIB_XCURSOR) $(LIB_QT)
 cursorthumbnail_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN)
 
 exrthumbnail_la_SOURCES = exrcreator.cpp
-exrthumbnail_la_LIBADD = $(LIB_KDECORE) $(LIB_EXR)
+exrthumbnail_la_LIBADD = $(LIB_KDECORE) $(LIB_EXR) $(LIB_QT)
 exrthumbnail_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN)
 
 noinst_HEADERS = thumbnail.h imagecreator.h textcreator.h htmlcreator.h \
diff -Nurd kdebase-3.5.10/kioslave/trash/Makefile.am kdebase-3.5.10-new/kioslave/trash/Makefile.am
--- kdebase-3.5.10/kioslave/trash/Makefile.am	2005-09-10 01:25:37.000000000 -0700
+++ kdebase-3.5.10-new/kioslave/trash/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -6,13 +6,16 @@
 kde_module_LTLIBRARIES = kio_trash.la
 
 kio_trash_la_SOURCES = kio_trash.cpp
-kio_trash_la_LIBADD  = libtrashcommon.la $(LIB_KIO)
+kio_trash_la_LIBADD  = libtrashcommon.la $(LIB_KIO) $(LIB_QT) $(LIB_KDECORE) -lDCOP
 kio_trash_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN) -no-undefined
 
-bin_PROGRAMS = ktrash
-ktrash_SOURCES = ktrash.cpp
-ktrash_LDADD = $(LIB_KIO)
-ktrash_LDFLAGS = $(all_libraries) $(KDE_RPATH)
+bin_PROGRAMS = 
+lib_LTLIBRARIES =
+kdeinit_LTLIBRARIES = ktrash.la
+
+ktrash_la_SOURCES = ktrash.cpp
+ktrash_la_LIBADD = $(LIB_KIO) $(LIB_QT) $(LIB_KDECORE) -lDCOP
+ktrash_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN) -module
 
 kde_services_DATA = trash.protocol
 
@@ -21,7 +24,7 @@
 
 check_PROGRAMS = testtrash
 testtrash_SOURCES = testtrash.cpp
-testtrash_LDADD = libtrashcommon.la $(LIB_KIO)
+testtrash_LDADD = libtrashcommon.la $(LIB_KIO) $(LIB_QT) $(LIB_KDECORE)
 testtrash_LDFLAGS = $(all_libraries)
 
 TESTS = testtrash
diff -Nurd kdebase-3.5.10/kioslave/trash/kfile-plugin/Makefile.am kdebase-3.5.10-new/kioslave/trash/kfile-plugin/Makefile.am
--- kdebase-3.5.10/kioslave/trash/kfile-plugin/Makefile.am	2005-09-10 01:25:36.000000000 -0700
+++ kdebase-3.5.10-new/kioslave/trash/kfile-plugin/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -6,7 +6,7 @@
 
 kfile_trash_la_SOURCES = kfile_trash.cpp
 kfile_trash_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN)
-kfile_trash_la_LIBADD = ../libtrashcommon.la $(LIB_KIO)
+kfile_trash_la_LIBADD = ../libtrashcommon.la $(LIB_KIO) $(LIB_QT) $(LIB_KDECORE) -lDCOP
 
 METASOURCES = AUTO
 
diff -Nurd kdebase-3.5.10/kioslave/trash/ktrash.cpp kdebase-3.5.10-new/kioslave/trash/ktrash.cpp
--- kdebase-3.5.10/kioslave/trash/ktrash.cpp	2005-10-10 08:04:01.000000000 -0700
+++ kdebase-3.5.10-new/kioslave/trash/ktrash.cpp	2010-05-13 05:26:41.000000000 -0700
@@ -35,7 +35,7 @@
     KCmdLineLastOption
 };
 
-int main(int argc, char *argv[])
+extern "C" KDE_EXPORT int kdemain(int argc, char *argv[])
 {
     KApplication::disableAutoDcopRegistration();
     KCmdLineArgs::init( argc, argv, "ktrash",
diff -Nurd kdebase-3.5.10/klipper/Makefile.am kdebase-3.5.10-new/klipper/Makefile.am
--- kdebase-3.5.10/klipper/Makefile.am	2006-03-17 02:17:30.000000000 -0800
+++ kdebase-3.5.10-new/klipper/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -8,7 +8,7 @@
 
 CLEANFILES = dummy.cpp
 
-libklipper_common_la_LIBADD = $(LIB_KDEUI) $(LIB_KSYCOCA) $(LIB_XFIXES)
+libklipper_common_la_LIBADD = $(LIB_QT) $(LIB_KDECORE) $(LIB_KIO) $(LIB_KDEUI) $(LIB_KSYCOCA) $(LIB_XFIXES) -lDCOP
 libklipper_common_la_SOURCES = main.cpp toplevel.cpp urlgrabber.cpp configdialog.cpp \
     toplevel.skel clipboardpoll.cpp history.cpp historyitem.cpp historystringitem.cpp klipperpopup.cpp popupproxy.cpp \
     historyimageitem.cpp historyurlitem.cpp
@@ -16,7 +16,7 @@
 libklipper_common_la_METASOURCES = AUTO
 libklipper_common_la_LDFLAGS = $(all_libraries)
 
-klipper_la_LIBADD = libklipper_common.la
+klipper_la_LIBADD = libklipper_common.la $(LIB_QT) $(LIB_KDECORE) -lDCOP
 klipper_la_SOURCES = dummy.cpp
 klipper_la_LDFLAGS = $(all_libraries) -module -avoid-version
 
diff -Nurd kdebase-3.5.10/kmenuedit/Makefile.am kdebase-3.5.10-new/kmenuedit/Makefile.am
--- kdebase-3.5.10/kmenuedit/Makefile.am	2006-03-17 02:17:38.000000000 -0800
+++ kdebase-3.5.10-new/kmenuedit/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -11,15 +11,15 @@
 libkmenueditcommon_la_SOURCES = basictab.cpp treeview.cpp kmenuedit.cpp \
 	khotkeys.cpp menufile.cpp menuinfo.cpp
 
-libkmenueditcommon_la_LIBADD = $(LIB_KDEUI) $(LIB_KIO)
+libkmenueditcommon_la_LIBADD = $(LIB_QT) $(LIB_KDECORE) $(LIB_KDEUI) $(LIB_KIO)
 libkmenueditcommon_la_LDFLAGS = $(all_libraries) -module -avoid-version
 
 kmenuedit_la_SOURCES = main.cpp
-kmenuedit_la_LIBADD = libkmenueditcommon.la
+kmenuedit_la_LIBADD = $(LIB_QT) $(LIB_KDECORE) libkmenueditcommon.la -lDCOP
 kmenuedit_la_LDFLAGS = $(all_libraries) -module -avoid-version
 
 kcontroledit_la_SOURCES = kcontrol_main.cpp
-kcontroledit_la_LIBADD = libkmenueditcommon.la
+kcontroledit_la_LIBADD = $(LIB_QT) $(LIB_KDECORE) libkmenueditcommon.la
 kcontroledit_la_LDFLAGS = $(all_libraries) -module -avoid-version
 
 noinst_HEADERS = kmenuedit.h treeview.h basictab.h khotkeys.h \
diff -Nurd kdebase-3.5.10/knetattach/Makefile.am kdebase-3.5.10-new/knetattach/Makefile.am
--- kdebase-3.5.10/knetattach/Makefile.am	2005-09-10 01:25:49.000000000 -0700
+++ kdebase-3.5.10-new/knetattach/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -1,9 +1,12 @@
 INCLUDES= $(all_includes)
 
-bin_PROGRAMS = knetattach
-knetattach_SOURCES = knetattach.ui main.cpp
-knetattach_LDFLAGS = $(all_libraries) $(KDE_RPATH)
-knetattach_LDADD   = $(LIB_KIO)
+bin_PROGRAMS = 
+lib_LTLIBRARIES =
+kdeinit_LTLIBRARIES = knetattach.la
+
+knetattach_la_SOURCES = knetattach.ui main.cpp
+knetattach_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN) -module
+knetattach_la_LIBADD  = $(LIB_QT) $(LIB_KDECORE) $(LIB_KIO) $(LIB_KDEUI) -lDCOP
 METASOURCES = AUTO
 xdg_apps_DATA = knetattach.desktop
 KDE_ICON = AUTO
diff -Nurd kdebase-3.5.10/knetattach/main.cpp kdebase-3.5.10-new/knetattach/main.cpp
--- kdebase-3.5.10/knetattach/main.cpp	2005-10-10 08:04:20.000000000 -0700
+++ kdebase-3.5.10-new/knetattach/main.cpp	2010-05-13 05:26:41.000000000 -0700
@@ -25,7 +25,7 @@
 
 #include "knetattach.h"
 
-int main(int argc, char **argv) {
+extern "C" KDE_EXPORT int kdemain(int argc, char **argv) {
 	KAboutData about("knetattach", I18N_NOOP("KDE Network Wizard"), "1.0",
 		I18N_NOOP("KDE Network Wizard"),
 		KAboutData::License_GPL,
diff -Nurd kdebase-3.5.10/konqueror/Makefile.am kdebase-3.5.10-new/konqueror/Makefile.am
--- kdebase-3.5.10/konqueror/Makefile.am	2007-10-08 02:51:30.000000000 -0700
+++ kdebase-3.5.10-new/konqueror/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -49,7 +49,7 @@
 	konq_view.h konq_viewmgr.h konq_extensionmanager.h version.h
 
 konqueror_la_LDFLAGS = -module $(KDE_PLUGIN) $(all_libraries)
-konqueror_la_LIBADD = ../libkonq/libkonq.la libkonqueror_intern.la $(LIBMALLOC) $(LIB_KUTILS)
+konqueror_la_LIBADD = ../libkonq/libkonq.la libkonqueror_intern.la $(LIBMALLOC) $(LIB_KUTILS) $(LIB_QT) $(LIB_KDECORE)
 
 # Hmm, this experiment of a static konq failed, don't trust it...
 # (but feel free to fix it :)
diff -Nurd kdebase-3.5.10/konqueror/about/Makefile.am kdebase-3.5.10-new/konqueror/about/Makefile.am
--- kdebase-3.5.10/konqueror/about/Makefile.am	2005-09-10 01:25:48.000000000 -0700
+++ kdebase-3.5.10-new/konqueror/about/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -3,7 +3,7 @@
 INCLUDES = -I$(srcdir)/.. -I$(top_srcdir)/libkonq $(all_includes)
 konq_aboutpage_la_SOURCES = konq_aboutpage.cc
 konq_aboutpage_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN) -module
-konq_aboutpage_la_LIBADD = $(LIB_KHTML)
+konq_aboutpage_la_LIBADD = $(LIB_KHTML) $(LIB_QT) $(LIB_KDECORE) $(LIB_KDEUI) $(LIB_KPARTS)
 
 kde_services_DATA = konq_aboutpage.desktop
 kde_servicetypes_DATA = konqaboutpage.desktop
